#ifndef POINT_HPP_INCLUDED
#define POINT_HPP_INCLUDED

#include <cmath>
#include "vector.hpp"

class Point // 2D pont osztly
{
public:
    Point(int x = 0, int y = 0) { _X = x; _Y = y; }
    double distance(Point p) const { return sqrt(pow(_X - p._X, 2) + pow(_Y - p._Y, 2)); }
    void move(Vector v) { _X += v.getDeltaX(); _Y += v.getDeltaY(); }
    int getX() const { return _X; }
    int getY() const { return _Y; }
private:
    int _X;
    int _Y;
};

#endif // POINT_HPP_INCLUDED
