#include "rectangle.hpp"

Rectangle::Rectangle(Point p, int x, int y)
{
    _point = p;
    _sizeX = x > 0 ? x : 0;
    _sizeY = y > 0 ? y : 0;
}

void Rectangle::resize(int x, int y)
{
    _sizeX = x > 0 ? x : 0;
    _sizeY = y > 0 ? y : 0;
}

void Rectangle::move(Vector v)
{
    _point.move(v);
}

Point Rectangle::getPoint() const
{
    return _point;
}

int Rectangle::getSizeX() const
{
    return _sizeX;
}

int Rectangle::getSizeY() const
{
    return _sizeY;
}

int Rectangle::area() const
{
    return _sizeX * _sizeY;
}
